<?xml version="1.0" encoding="utf-8" ?>
<xs:schema targetNamespace="urn:schemas-lexmark-com:2006:photo-card" elementFormDefault="qualified"
	xmlns="urn:schemas-lexmark-com:2006:photo-card" xmlns:xs="http://www.w3.org/2001/XMLSchema">
	<xs:element name="photoCardTemplate">
		<xs:complexType>
			<xs:sequence>
				<xs:element name="info">
					<xs:complexType>
						<xs:all>
							<xs:element name="stringFile" type="xs:string" />
							<xs:element name="category" type="xs:string" />
							<xs:element name="title" type="xs:string" />
							<xs:element name="orientation" type="cardOrientation"/>
						</xs:all>
					</xs:complexType>
				</xs:element>
				
				<xs:element name="background" type="xs:string"></xs:element>
				<xs:element name="photo" minOccurs="0" maxOccurs="unbounded">
					<xs:complexType>
						<xs:all>
							<xs:element name="topX" type="xs:int" />
							<xs:element name="topY" type="xs:int" />
							<xs:element name="width" type="xs:int" />
							<xs:element name="height" type="xs:int" />
						</xs:all>
					</xs:complexType>
				</xs:element>
				<xs:element name="text" minOccurs="0" maxOccurs="unbounded">
					<xs:complexType>
						<xs:all>
							<xs:element name="defaultText" type="xs:string"/>
							<xs:element name="topX" type="xs:int" />
							<xs:element name="topY" type="xs:int" />
							<xs:element name="width" type="xs:int" />
							<xs:element name="height" type="xs:int" />
							<xs:element name="color">
								<xs:complexType>
									<xs:all>
										<xs:element name="red" type="xs:unsignedInt" />
										<xs:element name="green" type="xs:unsignedInt" />
										<xs:element name="blue" type="xs:unsignedInt" />
									</xs:all>
								</xs:complexType>
							</xs:element>
							<xs:element name="font">
								<xs:complexType>
									<xs:all>
										<xs:element name="family" type="xs:string" />
										<xs:element name="size" type="xs:unsignedInt" />
										<xs:element name="style" type="fontStyle" />
										<xs:element name="weight" type="fontWeight" />
									</xs:all>
									<xs:anyAttribute />
								</xs:complexType>
							</xs:element>
							
						</xs:all>
					</xs:complexType>
				</xs:element>
			</xs:sequence>
		</xs:complexType>
	</xs:element>
	<xs:simpleType name="fontStyle">
		<xs:restriction base="xs:string">
			<xs:enumeration value="normal" />
			<xs:enumeration value="italic" />
		</xs:restriction>
	</xs:simpleType>
	<xs:simpleType name="fontWeight">
		<xs:restriction base="xs:string">
			<xs:enumeration value="normal" />
			<xs:enumeration value="bold" />
		</xs:restriction>
	</xs:simpleType>
	<xs:simpleType name="cardOrientation">
		<xs:restriction base="xs:string">
			<xs:enumeration value="portrait" />
			<xs:enumeration value="landscape" />
		</xs:restriction>
	</xs:simpleType>
</xs:schema>